# Greeting Cards

The module has been created with the intention of easy creation of greeting
cards
thumbnails of PDFs that are designed to be printed out and folded
into a greeting card


This module is the best suitable for those who want to create image from pdf
front page.
And use these images as they want.

Greeting Card module comes with this built in content Type that will store your
images and pdf properly.


## Table of contents

- Requirements
- Installation
- Configuration
- Troubleshooting
- FAQ
- Maintainers


## Requirements

This module requires the following modules:
- [Entity Reference Revisions](https://www.drupal.org/project/entity_reference_revisions)
- [The Process Component](https://symfony.com/doc/current/components/process.html) but its likely drupal has already installed it.
- [ImageMagick](https://imagemagick.org/script/download.php)

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

1. Enable the module at Administration > Extend.
2. Configure the content type form display Administration > Structure > Content
   types > Greeting Cards
3. You have to drag PDF and Category to enabled section.
4. Make sure ImageMagick policy is configured correct to allow pdf to image
   creations.

> ImageMagick policy
>
> Locate the policy.xml file: The policy file is typically found
> in the /etc/ImageMagick-6 or /etc/ImageMagick-7 directory.
> The exact path may vary depending on your system.
>
> Edit the policy.xml file: Open the policy.xml file in a text editor.
> You may need superuser privileges to make changes. For example,
> you can use the sudo command on Linux:
>
> OR
>
> Linux users
>
> ```shell
> sudo nano /etc/ImageMagick-6/policy.xml
> ```

> Scroll down to find where policies are located and paste this policy
> if policy is not there already
>
> ```text
> <policy domain="coder" rights="read|write" pattern="PDF" />
> <policy domain="path" rights="none" pattern="@*" />
> ```

## FAQ

**Q: How do I create pdf thumbnail image**

**A:** During installation or enabling the module the Content Type
Greeting Cards was created you can use its form to upload PDF
and Category of Greeting card you are uploading the module will automatically
generate image for you.

**Q: Where can I see these images**

**A:** You can see these generated images via your site domain /printable-cards

**Q: Are these generated images downloadable**

**A:** Yes by visiting /printable-cards page you will find all generated
thumbnail layout out for you categories with these respective pdf attached

## Maintainers

- Chance Nyasulu - [chancenyasulu](https://www.drupal.org/u/chancenyasulu)
